<script lang="ts">
	import { createEventDispatcher } from 'svelte';

	export let heading: string|null = null;
	export let active: boolean;
	export let faded: boolean = false;
	export let multipleSelect: boolean = false;
	export let disabled: boolean = false;

	const dispatch = createEventDispatcher();
</script>

<div
	class="card etke-card-order-button d-flex w-100 h-100 text-start shadow-sm"
	class:active={active}
	class:etke-card-order-button-faded={faded}
	class:etke-card-order-button-disabled={disabled}
	on:click={() => { dispatch('activated'); }}
	on:keyup={() => { dispatch('activated'); }}
	on:keydown={() => { dispatch('activated'); }}
>
	<slot name="card-body">
		<div class="card-body w-100">
			<div class="d-flex justify-content-between">
				<div>
					<slot name="card-body-heading">
						{#if heading !== null}
							<h4 class="fs-5c mb-4">{heading}</h4>
						{/if}
					</slot>
				</div>

				<div>
					<span
						class="me-1"
						class:text-secondary={!active}
						class:text-primary={active}
					>
						<i
							class="fa-regular fa-lg"
							class:fa-circle={!active && !disabled}
							class:fa-circle-check={active && multipleSelect}
							class:fa-circle-dot={active && !multipleSelect}
						></i>
					</span>
				</div>
			</div>

			<slot name="card-body-content"></slot>
		</div>
	</slot>

	<slot name="after-card-body"></slot>
</div>
